org.keycloak.protocol

## Interface LoginProtocol

- All Superinterfaces:
    Provider
  All Known Implementing Classes:
    DockerAuthV2Protocol, OIDCLoginProtocol, SamlProtocol

      public interface LoginProtocol
      extends Provider

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `LoginProtocol.Error`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `authenticated(AuthenticationSessionModel authSession, UserSessionModel userSession, ClientSessionContext clientSessionCtx)`
    `javax.ws.rs.core.Response` | `backchannelLogout(UserSessionModel userSession, AuthenticatedClientSessionModel clientSession)`
    `javax.ws.rs.core.Response` | `finishLogout(UserSessionModel userSession)`
    `javax.ws.rs.core.Response` | `frontchannelLogout(UserSessionModel userSession, AuthenticatedClientSessionModel clientSession)`
    `boolean` | `requireReauthentication(UserSessionModel userSession, AuthenticationSessionModel authSession)`
    `javax.ws.rs.core.Response` | `sendError(AuthenticationSessionModel authSession, LoginProtocol.Error error)`
    `default boolean` | `sendPushRevocationPolicyRequest(RealmModel realm, ClientModel resource, int notBefore, String managementUrl)` Send not-before revocation policy to the given client.
    `LoginProtocol` | `setEventBuilder(EventBuilder event)`
    `LoginProtocol` | `setHttpHeaders(javax.ws.rs.core.HttpHeaders headers)`
    `LoginProtocol` | `setRealm(RealmModel realm)`
    `LoginProtocol` | `setSession(KeycloakSession session)`
    `LoginProtocol` | `setUriInfo(javax.ws.rs.core.UriInfo uriInfo)`

    - ### Methods inherited from interface org.keycloak.provider.Provider

      `close`

- - ### Method Detail

    - #### setSession

          LoginProtocol setSession(KeycloakSession session)

    - #### setRealm

          LoginProtocol setRealm(RealmModel realm)

    - #### setUriInfo

          LoginProtocol setUriInfo(javax.ws.rs.core.UriInfo uriInfo)

    - #### setHttpHeaders

          LoginProtocol setHttpHeaders(javax.ws.rs.core.HttpHeaders headers)

    - #### setEventBuilder

          LoginProtocol setEventBuilder(EventBuilder event)

    - #### authenticated

          javax.ws.rs.core.Response authenticated(AuthenticationSessionModel authSession,
                                                  UserSessionModel userSession,
                                                  ClientSessionContext clientSessionCtx)

    - #### sendError

          javax.ws.rs.core.Response sendError(AuthenticationSessionModel authSession,
                                              LoginProtocol.Error error)

    - #### backchannelLogout

          javax.ws.rs.core.Response backchannelLogout(UserSessionModel userSession,
                                                      AuthenticatedClientSessionModel clientSession)

    - #### frontchannelLogout

          javax.ws.rs.core.Response frontchannelLogout(UserSessionModel userSession,
                                                       AuthenticatedClientSessionModel clientSession)

    - #### finishLogout

          javax.ws.rs.core.Response finishLogout(UserSessionModel userSession)

    - #### requireReauthentication

          boolean requireReauthentication(UserSessionModel userSession,
                                          AuthenticationSessionModel authSession)

      Parameters:
        `userSession` -
        `authSession` -
      Returns:
        true if SSO cookie authentication can't be used. User will need to "actively" reauthenticate

    - #### sendPushRevocationPolicyRequest

          default boolean sendPushRevocationPolicyRequest(RealmModel realm,
                                                          ClientModel resource,
                                                          int notBefore,
                                                          String managementUrl)

      Send not-before revocation policy to the given client.
      Parameters:
        `realm` -
        `resource` -
        `notBefore` -
        `managementUrl` -
      Returns:
        `true` if revocation policy was successfully updated at the client, `false` otherwise.

Copyright © 2021 JBoss by Red Hat. All rights reserved.